Open CASCADE Technology: ShapeProcess_UOperator Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
ShapeProcess_UOperator Class Reference

Defines operator as container for static function OperFunc. This allows user to create new operators without creation of new classes. More...

`#include <ShapeProcess_UOperator.hxx>`

Inheritance diagram for ShapeProcess_UOperator:
[legend]

## Public Member Functions
| ShapeProcess_UOperator (const ShapeProcess_OperFunc func)
| Creates operator with implementation defined as OperFunc (static function) More...
virtual Standard_Boolean | Perform (const Handle< ShapeProcess_Context > &context)
| Performs operation and records changes in the context. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Defines operator as container for static function OperFunc. This allows user to create new operators without creation of new classes.

## Constructor & Destructor Documentation

ShapeProcess_UOperator::ShapeProcess_UOperator | ( | const ShapeProcess_OperFunc | func | ) |

Creates operator with implementation defined as OperFunc (static function)

## Member Function Documentation

virtual Standard_Boolean ShapeProcess_UOperator::Perform | ( | const Handle< ShapeProcess_Context > & | context | ) |
| virtual

Performs operation and records changes in the context.

Implements ShapeProcess_Operator.

The documentation for this class was generated from the following file:

- ShapeProcess_UOperator.hxx